Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.pool
Class BasicNIOPoolEntry

    java.lang.Object
      org.apache.http.pool.PoolEntry<HttpHost,NHttpClientConnection>
          org.apache.http.impl.nio.pool.BasicNIOPoolEntry

    @Contract(threading=SAFE)
    public class BasicNIOPoolEntry

extends PoolEntry<HttpHost,NHttpClientConnection>

A basic `PoolEntry` implementation that represents an entry in a pool of non-blocking `NHttpClientConnection`s identified by an `HttpHost` instance.

Since:
  4.2
See Also:
  `HttpHost`

Constructor Summary
`BasicNIOPoolEntry(String id, HttpHost route, NHttpClientConnection conn)`

Method Summary
`void` | `close()` Invalidates the pool entry and closes the pooled connection associated with it.
`boolean` | `isClosed()` Returns `true` if the pool entry has been invalidated.

Methods inherited from class org.apache.http.pool.PoolEntry
`getConnection, getCreated, getExpiry, getId, getRoute, getState, getUpdated, getValidityDeadline, getValidUnit, isExpired, setState, toString, updateExpiry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicNIOPoolEntry

    public BasicNIOPoolEntry(String id,
                             HttpHost route,
                             NHttpClientConnection conn)

Method Detail

### close

    public void close()

  Description copied from class: `PoolEntry`
  Invalidates the pool entry and closes the pooled connection associated with it.

  Specified by:
    `close` in class `PoolEntry<HttpHost,NHttpClientConnection>`

### isClosed

    public boolean isClosed()

  Description copied from class: `PoolEntry`
  Returns `true` if the pool entry has been invalidated.

  Specified by:
    `isClosed` in class `PoolEntry<HttpHost,NHttpClientConnection>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.